# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > MarkerSeries
Search:
Filters Show Private Show Protected Show Deprecated

## Class MarkerSeries - extends CartesianSeries - uses Plots

Known Subclasses:
  BarSeries PieSeries StackedMarkerSeries ColumnSeries

The MarkerSeries class renders quantitative data by plotting relevant data points on a graph.

### Constructor

MarkerSeries `( )`

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from CartesianSeries:

`_bottomOrigin, _defaultBorderColors, _defaultFillColors, _defaultLineColors, _defaultPlaneOffset, _defaultSliceColors, _leftOrigin, _xDisplayName, _yDisplayName, GUID`

#### Properties inherited from Base:

`name`

#### Properties inherited from Renderer:

`_styles`

#### Properties inherited from Plots:

`_hotspotCache, _hotspots, _markerCache, _markers, _plotDefaults, _stateSyles`

### Methods

#### _getDefaultStyles

`protected _getDefaultStyles ( )`
Gets the default value for the `styles` attribute. Overrides base implementation.

Returns: ``
  Object

#### _setStyles

`protected _setStyles ( newStyles )`
Method used by `styles` setter. Overrides base implementation.

Parameters:
  `newStyles <Object>` Hash of properties to update.

Returns: ``
  Object

#### drawSeries

`protected void drawSeries ( )`
Draws the series.

#### renderUI

`private void renderUI ( )`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from CartesianSeries:

`_getDefaultColor, _getDefaultStyles, _setCanvas, _toggleVisible, _updateAxisData, _xAxisChangeHandler, _xDataChangeHandler, _yAxisChangeHandler, _yDataChangeHandler, addListeners, draw, render, setAreaData, validate`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from Renderer:

`_getDefaultStyles, _mergeStyles, _setStyles`

#### Methods inherited from Plots:

`_clearHotspotCache, _clearMarkerCache, _createHotspot, _createHotspotCache, _createMarker, _createMarkerCache, _getItemColor, _getPlotDefaults, _getState, _parseMarkerStyles, _setStyles, drawPlots, getHotspot, getMarker, updateMarkerState`

### Events

#### stylesChange

`stylesChange ( event )`
Fires when the value for the configuration attribute 'styles' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### typeChange

`typeChange ( event )`
Fires when the value for the configuration attribute 'type' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from CartesianSeries:

`categoryDisplayNameChange, directionChange, graphChange, graphOrderChange, heightChange, orderChange, renderedChange typeChange valueDisplayNameChange visibleChange xAxisChange xcoordsChange xDataChange xDisplayNameChange xKeyChange xMarkerPlaneChange xMarkerPlaneOffsetChange yAxisChange ycoordsChange yDataChange yDisplayNameChange yKeyChange yMarkerPlaneChange yMarkerPlaneOffsetChange`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Events inherited from Renderer:

`graphicChange, stylesChange`

### Configuration Attributes

#### styles `- Object`

Style properties used for drawing markers. This attribute is inherited from `Renderer`. Below are the default values:

fill
  A hash containing the following values:
  color
    Color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#6084d0", "#eeb647", "#6c6b5f", "#d6484f", "#ce9ed1", "#ff9f3b", "#93b7ff", "#e0ddd0", "#94ecba", "#309687"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker fill. The default value is 1.
border
  A hash containing the following values:
  color
    Color of the border. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
width
  indicates the width of the marker. The default value is 10.
height
  indicates the height of the marker The default value is 10.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.

#### type `- String`

Read-only attribute indicating the type of series.
Default Value: marker

#### Configuration attributes inherited from CartesianSeries:

`categoryDisplayName, direction, graph, graphOrder, height, order, rendered, type, valueDisplayName, visible, xAxis, xcoords xData xDisplayName xKey xMarkerPlane xMarkerPlaneOffset yAxis ycoords yData yDisplayName yKey yMarkerPlane yMarkerPlaneOffset`

#### Configuration attributes inherited from Base:

`destroyed initialized`

#### Configuration attributes inherited from Renderer:

`graphic styles`

Copyright © 2011 Yahoo! Inc. All rights reserved.